Subject: Re: bug#54834: 29.0.50; Problems with M-x dirs

From: Tassilo Horn <[email-masked]>
Date: Sun, 10 Apr 2022 21:11:14 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> 1. emacs -Q
>> 2. M-x shell RET
>> 3. M-x dirs RET
>> => Error: dirs: Symbol’s function definition is void: string-chop-newline
>>
>> This only happens with emacs 29 (current git master).
>
> I'm unable to reproduce this.  Are there any additional steps needed?

Nope.

> Have you done a "make bootstrap"?

The last one maybe before a week which seems not be recent enough.  I've
done another bootstrap right now and cannot reproduce anymore, too.

>> The second problem is that M-x dirs seems to infloop when the
>> required functions have been defined and this also happens with emacs
>> 28.1:
>>
>> 1. emacs -Q
>> 2. M-x shell RET
>> 3. M-x dirs RET
>>
>> Emacs hangs and uses 100% of one core.
>
> This should be fixed on the emacs-28 branch now.

Indeed, it is, thanks!

Can you also tell me why every command I enter in the *shell* buffer is
echoed (even after setting comint-process-echoes to t in that buffer)?

Bye,
Tassilo